# runSources static method

Future<ConfigurableApplicationContext?> runSources(

1. Object primarySource,
2. List<Object> primarySources,
3. List<String> args, [
4. RuntimeProvider? provider,

])

Convenience method for running an application with multiple primary sources.

Useful when an application is composed of multiple configuration classes or modules.

### Usage:

    void main(List<String> args) {
      JetApplication.runSources(MyApplication, [DatabaseConfig, SecurityConfig], args);
    }

`primarySource` the main primary source `primarySources` additional primary sources `args` command line arguments `provider` optional runtime provider

Returns the created application context

## Implementation

    static Future<ConfigurableApplicationContext?> runSources(Object primarySource, List<Object> primarySources, List<String> args, [RuntimeProvider? provider]) {
      return JetApplication(primarySource).create(args, provider);
    }